Subject: bug#12993: Wrong icon for Cygw32-Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Apr 2013 05:39:23 +0300

> Date: Sun, 07 Apr 2013 18:44:36 -0400
> From: Ken Brown <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 4/7/2013 2:48 PM, Eli Zaretskii wrote:
> >> Date: Sun, 07 Apr 2013 14:11:48 -0400
> >> From: Ken Brown <[email-masked]>
> >> Cc: [email-masked], Angelo Graziosi <[email-masked]>
> >>
> >> At some point could you update this fix so that it works on 64-bit
> >> Cygwin also?
> >
> > What are the problems that prevent this from working with 64-bit
> > Cygwin?  I presume there's a 64-bit windres.exe, and nt/emacs.rc is
> > already set up to cater to 64-bit builds.  What am I missing?
> 
> The problem is that the build fails.  There's no error message 
> explaining the failure, just "Makefile:785: recipe for target 
> `bootstrap-emacs.exe' failed".  But the build succeeds if I remove the 
> attempt to compile Windows resources:

What is on line 785 of Makefile?

> I know nothing about Windows resources

They are just a fancy kind of object file produced from a fancy kind
of source (emacs.rc in this case).